# $Id: smeserver-nagios.spec,v 1.1 2013/06/01 13:18:54 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios integration
%define name smeserver-nagios
Name: %{name}
%define version 2.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nagios-2.0.0-usermod.patch
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 8
Requires: nagios >= 3
Requires: pnp4nagios >= 0.4.10
Requires: nagios-plugins
Requires: nagios-plugins-setuid
Requires: smeserver-nagios-plugins-mysql 
Requires: smeserver-nagios-backup
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Sun Oct 13 2013 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-2.sme
- usermod bug [SME: 5539]
- add requirements to ease isntallation : nagios-plugins nagios-plugins-setuid
-  smeserver-nagios-plugins-mysql and smeserver-nagios-backup  

* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1.sme
  removed scripts frpm spec file
  placed all nagios config file in directories

* Sun Nov 16 2008 Michael Weinberger <mweinber@neddix.de>
  AddType application/x-httpd-php .php for PNP
  pre-configured nagios.cfg-smeserver
* Wed Nov 14 2007 Michael Weinberger <mweinber@neddix.de>
 fixed usermod in /etc/rc.d/init.d/nagios-sme
* Thu Oct 1 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Nagios integration

%prep
%setup
%patch0 -p1


%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
--file /etc/nagios/nagios.cfg-smeserver 'attr(644,nagios,nagios)' \
--dir /etc/nagios 'attr(755,nagios,nagios)' \
--dir /etc/nagios/contacts 'attr(755,nagios,nagios)' \
--dir /etc/nagios/hosts 'attr(755,nagios,nagios)' \
--dir /etc/nagios/services 'attr(755,nagios,nagios)' \
--dir /etc/nagios/commands 'attr(755,nagios,nagios)' \
--dir /etc/nagios/pnp 'attr(755,nagios,nagios)' \
--dir /etc/nagios/servicegroups 'attr(755,nagios,nagios)' \
--dir /etc/nagios/hostgroups 'attr(755,nagios,nagios)' \
--dir /etc/nagios/templates 'attr(755,nagios,nagios)' \
--dir /etc/nagios/timeperiods 'attr(755,nagios,nagios)' \
 >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
